# PXMLStreamParser Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLStreamParser:

List of all members.

## Public Member Functions

| PXMLStreamParser ()
virtual void | EndElement (const char *name)
virtual PXML * | Read (PChannel *channel)

## Protected Attributes

PQueue< PXML > | messages

## Constructor & Destructor Documentation

PXMLStreamParser::PXMLStreamParser | ( |  | ) |

## Member Function Documentation

virtual void PXMLStreamParser::EndElement | ( | const char * | name | ) | `[virtual]`

Reimplemented from PXMLParser.

virtual PXML* PXMLStreamParser::Read | ( | PChannel * | channel | ) | `[virtual]`

## Member Data Documentation

PQueue<PXML> PXMLStreamParser::messages `[protected]`

The documentation for this class was generated from the following file:

- pxml.h